$ErrorActionPreference = 'Stop';

$packageName = 'CloudBerryExplorer.OpenStackStorage'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v1.8.0.9OpenStack_netv4.0.exe'
$url64      = 'http://www.cloudberrylab.com/download/CloudBerryExplorerSetup_v1.8.0.9OpenStack_netv4.0.exe'

$installerPackage = Join-Path $toolsDir "CloudBerryExplorer.OpenStackStorage.exe";

$packageArgs = @{
  packageName   = $packageName
  fileFullPath  = $installerPackage
  url           = $url
  url64bit      = $url64

  checksum      = '9a0498334e833e151f4ec11a910359818ac642fca295bbacaa60b0f70c9ba445'
  checksumType  = 'sha256'
  checksum64    = '9a0498334e833e151f4ec11a910359818ac642fca295bbacaa60b0f70c9ba445'
  checksumType64= 'sha256'
}

Get-ChocolateyWebFile @packageArgs

$installerAuto = Join-Path $toolsDir 'CloudBerryExplorer.OpenStackStorage.au3';
$installArgs = "/c autoit3 `"$installerAuto`" `"$installerPackage`""
Write-Host "Installing `'$installerPackage`' with AutoIt3 using `'$installerAuto`'"
Start-ChocolateyProcessAsAdmin "$installArgs" "cmd.exe"
